Open BankingB2B SuiteERP Integration
GuidesAPI ReferenceChangelog
Menu

Categories

Open BankingB2B SuiteERP Integration

  • GENERAL INFORMATION

    • Documentation guide
    • SingleView B2B Core APIs
    • Platform architecture
  • GETTING STARTED

    • Integration guide
    • Become a user
    • Prerequisites for Sandbox
    • Establishing secure connection
    • Authenticating your request
    • Making your first test api call
    • Prerequisites for production
    • Moving to production
  • AUTHENTICATION

    • Header parameters
    • Obtain access token
    • Generate signature
  • Data APIs

    • Account statement
    • Balance enquiry
    • IBAN verification
    • POS transactions
    • Raw statement
  • Payment APIs

  • SADAD

  • Virtual Accounts

    • Overview
    • Create new virtual account
    • Block/Unblock virtual account
    • VA balance enquiry
    • VA statement
  • SME Onboarding (Draft)

    • Overview (Draft)
  • RESOURCES

    • User inputs
    • POR Details
    • Error codes
  • API Archives


SADAD MOI

Retrieve Ministry of Interior (MOI) fee information and make payment through the SADAD network

SADAD MOI Enquiry

Important information
  • The user must provide the valid credentials in the header
  • Encrypted and valid Signature and an active Access Token
  • Request format as specified with all the mandatory details with appropriate request tags
  • Ensure that the SequenceNumber is unique for each transaction. Payments with same sequence number appear as duplicate transactions and affects their processing and enquiry operations.

Domain details

Environment

Domain

Rate/Limit

Sandbox

sandboxapi.onesingleview.com

3 Calls per Minute

Production/LIVE

To be provided upon onboarding

Based on contract

Endpoint details

Endpoint URL

Method

Authentication requirements

/api/enquiry/sadad/moi

POST

  1. CompanyId
  2. SVReferenceID
  3. DateTimeStamp
  4. Device
  5. Authorization: Bearer

Sample request

SADAD MOI Enquiry Request
curl --location 'https://sandboxapi.onesingleview.com/api/enquiry/sadad/moi'
--header 'CompanyId: MYCOMPANY'
--header 'SVReferenceID: SV150619940615'
--header 'DateTimeStamp	:2025-01-02T10:20:39'
--header 'Device: Web'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNMlZ4WGpFZmR6WFNWaTFad3B5QnlkOVpHelZXR2ZwUmFQNUV1TXl6S1Aybi94Y0lwR2V5STNNMkdPL1pqakd4ZG0yclJKUkdhRXlaWGNpWnZnOHArMWIyOGtOQTVkZ0VKajVVSEdiTmtNPSIsImlhdCI6MTczNTgwMTQ3NywiZXhwIjoxNzM1ODA1MDc3fQ.Bh7LFkvxNFrLe9dmH5rURWjGpES-u4z2EGeyrNM7z6E'
--header 'Content-Type: application/json'
--data '{
"Message": {  
  "OSVSadadMOIEnquiryRequest": {  
    "TransactionType": "SADADMOI",  
    "OSVSadadMOIEnquiry": [  
      {  
        "BankCode": "Enter_Bank_Code",  
        "CompanyCode": "Enter_Company_Code",  
        "TransactionReferenceNumber": "Enter_Transaction_Reference_Number",  
        "MessageDescription": "Enter_Message_Description",  
        "TransactionData": [  
          {  
            "SequenceNumber": "Enter_Sequence_Number",  
            "POINum": "0000000000",  
            "POIType": "Enter_POI_Type",  
            "AccountNumber": "Enter_Account_Number",  
            "BillerID": "000",  
            "BillCategory": "00",  
            "ServiceCode": "000",  
            "BranchCode": "00000",  
            "RequestType": "000",  
            "ID": "0000000000",  
            "Duration": "00"  
          }  
        ]  
      }  
    ]  
  }  
}'

Request parameters

JSON Tag

Requirement

Description

Data type

Message

Mandatory

Header information (client credentials)

Object

OSVSadadMOIEnquiryRequest

Mandatory

Root node containing all the SADAD MOI information

Object

TransactionType

Mandatory

Type of transaction to be mentioned as SADADMOI

String

OSVSadadMOIEnquiry

Mandatory

Tag carrying information on the SADAD MOI requested

Object

BankCode

Mandatory

Unique bank identification code

String

CompanyCode

Mandatory

Unique company identification code

String

TransactionReferenceNumber

Mandatory

Unique transaction reference number

String

MessageDescription

Mandatory

Details about the transaction

String

TransactionData

Mandatory

Tag carrying information on the requested SADAD MOI

Object

SequenceNumber

Mandatory

Unique sequence number of the SADAD MOI generated by the client

String

POINum

Mandatory

Unique customer identification details

String

POIType

Mandatory

Type of customer identification

String

AccountNumber

Mandatory

Unique account number details of the SADAD MOI

String

BillerId

Mandatory

Unique biller identification details

String

BillCategory

Mandatory

Unique bill category of the SADAD MOI

String

ServiceCode

Mandatory

Unique service identification details

String

BranchCode

Mandatory

Unique branch identification details for the respective SADAD MOI

String

RequestType

Mandatory

Type of request

String

ID

Mandatory

Unique identification details

String

Duration

Mandatory

Duration of the request

Numerical

Sample response

SADAD MOI Enquiry Response
{  
  "OSVSadadMOIEnquiryResponse": {  
    "MessageType": "SADADMOI",  
    "TimeStamp": "YYYY-MM-DDTHH:MM:SS",  
    "OSVSadadMOIEnquiry": [  
      {  
        "BankCode": "Bank_Code",  
        "CompanyCode": "Company_Code",  
        "TransactionReferenceNumber": "Transaction_Reference_Number",  
        "MessageDescription": "Message_Description",  
        "Status": "SUCCESS",  
        "TransactionData": [  
          {  
            "ID": "ID",  
            "BillerID": "Biller_Id",  
            "GroupPayId": 00000000,  
            "FeeReferenceId": "Fee_Reference_Id",  
            "SadadReferenceId": 0000000000,  
            "BeneficiaryName": "Beneficiary_Name",  
            "DueAmount": 0000,  
            "PreviousAmount": "0000",  
            "PmtIdType": "Payment_Id_Type",  
            "StatusDetail": "Success",  
            "StatusCode": "OK",  
            "FeeDetails": [  
              {  
                "Fees": {  
                  "FeeType": "Fee_Type",  
                  "FeeAmount": 0000  
                }  
              }  
            ]  
          }  
        ]  
      }  
    ]  
  }  
}

Response parameters

JSON Tag

Description

Data type

OSVSadadMOIEnquiryResponse

Root tag carrying MOI enquiry response

Object

MessageType

Message type mentioned as SADADMOI

String

TimeStamp

Stamp denoting date and time of the response

String

OSVSadadMOIEnquiry

Tag carrying information on SADAD MOI

Object

BankCode

Unique bank identification details

String

CompanyCode

Unique company identification details

String

TransactionReferenceNumber

Unique transaction reference details

String

MessageDescription

Details about the response

String

Status

Status of the response for MOI enquiry

Boolean

TransactionData

Tag carrying transaction information for MOI enquiry

Object

ID

Unique customer identification details

String

BillerID

Unique biller identification details

String

GroupPayId

Unique group payment identification details

String

FeeReferenceId

Unique fee reference identification details

String

SadadReferenceId

Unique SADAD reference identification details

String

BeneficiaryName

Beneficiary name for the SADAD MOI

String

DueAmount

Due amount for the SADAD MOI

Numerical

PreviousAmount

Amount denoting any carried dues from previous month

Numerical

PmtIdType

Unique payment identification type

String

StatusDetail

Details about the status of the MOI

String

StatusCode

Code representing the status of MOI enquiry

Boolean

FeeDetails

Tag carrying information on MOI fee details

Object

Fees

Tag carrying individual MOI fee details

Object

FeeType

Details on MOI fee type

String

FeeAmount

Amount denoting the MOI fee

Numerical

SADAD MOI Payment

Important information
  • The user must provide the valid credentials in the header
  • Encrypted and valid Signature and an active Access Token
  • Request format as specified with all the mandatory details with appropriate request tags
  • Ensure that the SequenceNumber is unique for each transaction. Payments with same sequence number appear as duplicate transactions and affects their processing and enquiry operations.

Domain details

Environment

Domain

Rate/Limit

Sandbox

sandboxapi.onesingleview.com

3 Calls per Minute

Production/LIVE

To be provided upon onboarding

Based on contract

Endpoint details

Endpoint URL

Method

Authentication requirements

/api/payment/sadad/moi

POST

  1. CompanyId
  2. SVReferenceID
  3. DateTimeStamp
  4. Device
  5. Authorization: Bearer

Sample request

Initiate MOI Payment Request
curl --location 'https://sandboxapi.onesingleview.com/api/payment/sadad/moi'
--header 'CompanyId: MYCOMPANY'
--header 'SVReferenceID: SV150619940615'
--header 'DateTimeStamp	:2025-01-02T10:20:39'
--header 'Device: Web'
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoiTDNyMmpxV29JS2I4MTNodDBNMlZ4WGpFZmR6WFNWaTFad3B5QnlkOVpHelZXR2ZwUmFQNUV1TXl6S1Aybi94Y0lwR2V5STNNMkdPL1pqakd4ZG0yclJKUkdhRXlaWGNpWnZnOHArMWIyOGtOQTVkZ0VKajVVSEdiTmtNPSIsImlhdCI6MTczNTgwMTQ3NywiZXhwIjoxNzM1ODA1MDc3fQ.Bh7LFkvxNFrLe9dmH5rURWjGpES-u4z2EGeyrNM7z6E'
--header 'Content-Type: application/json'
--data '{
"Message": {  
  "OSVSadadMOIPaymentRequest": {  
    "TransactionType": "SADADMOI",  
    "OSVSadadMOIPayment": [  
      {  
        "BankCode": "Enter_Bank_Code",  
        "CompanyCode": "Enter_Company_Code",  
        "AccountNumber": "Enter_Account_Number",  
        "TransactionReferenceNumber": "Enter_Transaction_Reference_Number",  
        "MessageDescription": "Enter_Message_Description",  
        "TransactionData": [  
          {  
            "ID": "Enter_ID",  
            "VisaCount": "Enter_Visa_Count",  
            "GroupPayId": "Enter_Group_Payment_ID",  
            "SequenceNumber": "Enter_Sequence_Number",  
            "ReferenceNumber": "Enter_Reference_Number",  
            "FeeReferenceId": "Enter_Fee_Reference_Id",  
            "SADADReferenceId": "Enter_SADAD_Reference_Id",  
            "DueAmount": "Enter_Due_Amount",  
            "PaymentType": "Enter_Payment_Type",  
            "BillerID": "Enter_Biller_ID",  
            "RequestType": "Enter_Request_type",  
            "NationalID": "Enter_National_ID",  
            "SponsorID": "Enter_Sponsor_ID",  
            "JobCategory": "Enter_Job_Category",  
            "Duration": "Enter_Duration"  
          }  
        ]  
      }  
    ]  
  }  
}'

Request parameters

JSON Tag

Requirement

Description

Data type

Message

Mandatory

Header information

Object

OSVSadadMOIPaymentRequest

Mandatory

Root node containing all the SADAD MOI payment information

Object

TransactionType

Mandatory

Type of transaction to be mentioned as SADADMOI

String

OSVSadadMOIPayment

Mandatory

Tag carrying information on the SADAD MOI payment requested

Object

BankCode

Mandatory

Unique bank identification code

String

CompanyCode

Mandatory

Unique company identification code

String

AccountNumber

Mandatory

Unique account identification number with SADAD MOI

String

TransactionReferenceNumber

Mandatory

Unique transaction reference number

String

MessageDescription

Mandatory

Details of the transaction

String

TransactionData

Mandatory

Tag carrying information on the requested SADAD MOI payment

Object

ID

Mandatory

Unique identification details

String

VisaCount

Mandatory

Number indicating the count of the Visa

Numerical

GroupPayId

Mandatory

Unique group payment identification

String

SequenceNumber

Mandatory

Unique sequence number of the payment generated by the client

String

ReferenceNumber

Mandatory

Unique payment reference number

String

FeeReferenceId

Mandatory

Unique fee reference identification details

String

SADADReferenceId

Mandatory

Unique SADAD reference number of the payment

String

DueAmount

Mandatory

Amount denoting the total due

Numerical

PaymentType

Mandatory

Details on the type of payment

Strong

BillerID

Mandatory

Unique biller identification details

String

RequestType

Mandatory

Type of the request

String

NationalID

Mandatory

Unique national identification details of the customer

String

SponsorID

Mandatory

Unique sponsor identification details for the visa

String

JobCategory

Mandatory

Details of the job category

String

Duration

Mandatory

Duration of the visa

String

Sample response

Initate MOI Payment Response
{  
  "OSVSadadMOIPaymentResponse": {  
    "MessageType": "SADADMOI",  
    "TimeStamp": "YYYY-MM-DDTHH:MM:SS",  
    "OSVSadadMOIPayment": [  
      {  
        "BankCode": "Bank_Code",  
        "TransactionReferenceNumber": "Transaction_Reference_Number",  
        "MessageDescription": "Message_Description",  
        "CompanyCode": "Company_Code",  
        "AccountNumber": "Account_Number",  
        "BankReferenceNumber": "Bank_Reference_Number",  
        "TransactionData": [  
          {  
            "PaymentRefNumber": "Payment_Ref_Number",  
            "SADADRqUID": "SADAD_Rq_UID",  
            "SequenceNum": "Sequence_Num",  
            "BankReference": "Bank_Reference",  
            "SadadReference": "Sadad_Reference",  
            "BillerID": "Biller_ID",  
            "SubscriberNumber": "Subscriber_Number",  
            "ServiceType": "Service_Type",  
            "PaidAmount": "Paid_Amount",  
            "StatusCode": "OK",  
            "FeeReferenceId": "Fee_Reference_Id",  
            "StatusDetail": "OK",  
            "CurrentAmount": "Current_Amount",  
            "PreviousAmount": "Previous_Amount",  
            "ID": "ID",  
            "VIsaNumber": "Visa_Number",  
            "BeneficiaryName": "Beneficiary_Name",  
            "Fees": [  
              {  
                "FeeAmount": "Fee_Amount",  
                "FeeType": "Fee_Type"  
              }  
            ]  
          }  
        ]  
      }  
    ]  
  }  
}

Response parameters

Meta Tag

Description

Data type

OSVSadadMOIPaymentResponse

Root tag carrying SADAD MOI payment response

Object

MessageType

Type of response message represented as SADADMOI

String

TimeStamp

Date and time of the response

String

OSVSadadMOIPayment

Tag carrying information on SADAD MOI payment

Object

BankCode

Unique bank identification code

String

TransactionReferenceNumber

Unique transaction reference details

String

MessageDescription

Details about the SADAD MOI payment

String

CompanyCode

Unique company identification details

String

AccountNumber

Unique account identification details for the SADAD MOI

String

BankReferenceNumber

Unique bank reference identification details

String

TransactionData

Tag carrying information on SADAD MOI payment transaction

Object

PaymentRefNumber

Unique payment reference details

String

SADADRqUID

SADAD request unique identification details

String

SequenceNum

Unqiue sequence number of the SADAD MOI payment generated by the client

String

BankReference

Unique bank reference details

String

SadadReference

Unique SADAD reference details

String

BillerID

Unique biller identification details

String

SubscriberNumber

Unique SADAD MOI subscriber identification details

String

ServiceType

Type of the SADAD MOI service

String

PaidAmount

Total paid amount for the MOI

Numerical

StatusCode

Status code of the MOI payment transaction

Boolean

FeeReferenceId

Unique fee reference identification

String

StatusDetail

Status details of the SADAD MOI payment transaction

String

CurrentAmount

Current amount paid for the SADAD MOI

Numerical

PreviousAmount

Previous amount paid for the SADAD MOI

Numerical

ID

Unique customer identification details

String

VIsaNumber

Unique visa number of the customer

String

BeneficiaryName

Name of the beneficiary

String

Fees

Tag carrying information on SADAD MOI fee details

Object

FeeAmount

Amount denoting the fee

Numerical

FeeType

Details on fee type

String

Updated September 8, 2026

PreviousSADAD bills
Was this helpful?